<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractHemoculture extends Model
{
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'aerobie' => 'string',
        'enaerobie' => 'string',
        'coloration_gram' => 'string',
        'culuture' => 'string',
        'antibiogramme_effectue' => 'boolean',
        'updated_at' => 'datetime',
        'created_at' => 'datetime',
        'antibiogramme_id' => 'integer'
    ];
    
    /**  
     * The guarded property should contain an array of attributes that you do not want to be mass assignable.
     * 
     * @var array
     */
    protected $guarded = [];
    
    public function antibiogramme()
    {
        return $this->belongsTo('\App\Antibiogramme', 'antibiogramme_id', 'id');
    }
}
